shishi_time(3)

NAME
shishi_time - API function

SYNOPSIS
#include <shishi.h>

int shishi_time(Shishi * handle, Shishi_asn1 node, const char * field, char ** t);

ARGUMENTS

Shishi * handle
    Shishi handle as allocated by shishi_init().

Shishi_asn1 node
    ASN.1 structure to get time from.

const char * field
    Name of the field in the ASN.1 node carrying time.

char ** t
    Returned pointer to an allocated char array containing a null-terminated time string.

DESCRIPTION
Extracts time information from an ASN.1 structure, and to be precise, does so from the named field field within the structure node.

RETURN VALUE
Returns SHISHI_OK if successful, or an error.

REPORTING BUGS
Report bugs to <bug-shishi@gnu.org>. GNU Shishi home page: http://www.gnu.org/software/shishi/ General help using GNU software: http://www.gnu.org/gethelp/

COPYRIGHT
Copyright © 2002-2022 Simon Josefsson.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for shishi is maintained as a Texinfo manual. If the info and shishi programs are properly installed at your site, the command

    info shishi

should give you access to the complete manual.